zenilib: zenilib/jni/external/libvorbis/lib/mdct.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
mdct.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "vorbis/codec.h"`
`#include "mdct.h"`
`#include "os.h"`
`#include "misc.h"`

Go to the source code of this file.

## Functions

void | mdct_backward (mdct_lookup *init, DATA_TYPE *in, DATA_TYPE *out)
STIN void | mdct_bitreverse (mdct_lookup *init, DATA_TYPE *x)
STIN void | mdct_butterflies (mdct_lookup *init, DATA_TYPE *x, int points)
STIN void | mdct_butterfly_16 (DATA_TYPE *x)
STIN void | mdct_butterfly_32 (DATA_TYPE *x)
STIN void | mdct_butterfly_8 (DATA_TYPE *x)
STIN void | mdct_butterfly_first (DATA_TYPE *T, DATA_TYPE *x, int points)
STIN void | mdct_butterfly_generic (DATA_TYPE *T, DATA_TYPE *x, int points, int trigint)
void | mdct_clear (mdct_lookup *l)
void | mdct_forward (mdct_lookup *init, DATA_TYPE *in, DATA_TYPE *out)
void | mdct_init (mdct_lookup *lookup, int n)

## Function Documentation

void mdct_backward | ( | mdct_lookup * | init,
|  | DATA_TYPE * | in,
|  | DATA_TYPE * | out
| ) |  |

Definition at line 397 of file mdct.c.

References DATA_TYPE, mdct_bitreverse(), mdct_butterflies(), MULT_NORM, mdct_lookup::n, and mdct_lookup::trig.

Referenced by main(), and mapping0_inverse().

STIN void mdct_bitreverse | ( | mdct_lookup * | init,
|  | DATA_TYPE * | x
| ) |  |

Definition at line 347 of file mdct.c.

References mdct_lookup::bitrev, DATA_TYPE, HALVE, MULT_NORM, mdct_lookup::n, REG_TYPE, and mdct_lookup::trig.

Referenced by mdct_backward(), and mdct_forward().

STIN void mdct_butterflies | ( | mdct_lookup * | init,
|  | DATA_TYPE * | x,
|  | int | points
| ) |  |

Definition at line 317 of file mdct.c.

References DATA_TYPE, i, j, mdct_lookup::log2n, mdct_butterfly_32(), mdct_butterfly_first(), mdct_butterfly_generic(), and mdct_lookup::trig.

Referenced by mdct_backward(), and mdct_forward().

STIN void mdct_butterfly_16 | ( | DATA_TYPE * | x | ) |

Definition at line 118 of file mdct.c.

References cPI2_8, mdct_butterfly_8(), MULT_NORM, and REG_TYPE.

Referenced by mdct_butterfly_32().

STIN void mdct_butterfly_32 | ( | DATA_TYPE * | x | ) |

Definition at line 153 of file mdct.c.

References cPI1_8, cPI2_8, cPI3_8, mdct_butterfly_16(), MULT_NORM, and REG_TYPE.

Referenced by mdct_butterflies().

STIN void mdct_butterfly_8 | ( | DATA_TYPE * | x | ) |

Definition at line 94 of file mdct.c.

References REG_TYPE.

Referenced by mdct_butterfly_16().

STIN void mdct_butterfly_first | ( | DATA_TYPE * | T,
|  | DATA_TYPE * | x,
|  | int | points
| ) |  |

Definition at line 217 of file mdct.c.

References DATA_TYPE, MULT_NORM, and REG_TYPE.

Referenced by mdct_butterflies().

STIN void mdct_butterfly_generic | ( | DATA_TYPE * | T,
|  | DATA_TYPE * | x,
|  | int | points,
|  | int | trigint
| ) |  |

Definition at line 264 of file mdct.c.

References DATA_TYPE, MULT_NORM, and REG_TYPE.

Referenced by mdct_butterflies().

void mdct_clear | ( | mdct_lookup * | l | ) |

Definition at line 339 of file mdct.c.

References _ogg_free, mdct_lookup::bitrev, memset, and mdct_lookup::trig.

Referenced by _ve_envelope_clear(), and vorbis_dsp_clear().

void mdct_forward | ( | mdct_lookup * | init,
|  | DATA_TYPE * | in,
|  | DATA_TYPE * | out
| ) |  |

Definition at line 493 of file mdct.c.

References DATA_TYPE, i, mdct_bitreverse(), mdct_butterflies(), MULT_NORM, mdct_lookup::n, REG_TYPE, mdct_lookup::scale, and mdct_lookup::trig.

Referenced by _ve_amp(), main(), and mapping0_forward().

void mdct_init | ( | mdct_lookup * | lookup,
|  | int | n
| ) |  |

Definition at line 52 of file mdct.c.

References _ogg_malloc, mdct_lookup::bitrev, cos(), DATA_TYPE, FLOAT_CONV, i, j, mdct_lookup::log2n, M_PI, mdct_lookup::n, mdct_lookup::scale, sin(), and mdct_lookup::trig.

Referenced by _vds_shared_init(), _ve_envelope_init(), and main().